components:
  schemas:

    UserResponse:
      type: object
      properties:
        id:
          type: string
          example: 018f22d5-4b3a-7c21-b93f-9a5aefc1b847
        name:
          type: string
          example: John Doe
        email:
          type: string
          format: email
          example: john.doe@example.com
        password:
          type: string
          example: P@ssw0rd123!
        roles:
          type: array
          example:
              - 018f22d5-4b3a-7c21-b93f-9a5aefc1b847
              - 518fasr5-4b3a-7c21-b93f-6z8asd2ds1n8
        is_active:
          type: boolean
          example: true
        password_reset:
          type: object
          properties:
            token:
              type: string
              example: 123456
            expires_at:
              type: string
              format: date-time
              example: '2025-10-08T17:57:23.718'
        created_at:
          type: string
          format: date-time
          example: '2025-10-08T17:57:23.718+00:00'
        updated_at:
          type: string
          format: date-time
          example: '2025-10-08T17:57:23.718+00:00'